Skip to main content
Version: v1.0.0(int)

E075: Bulk-import materials

POST /api/materials/bulk-import

Creates many materials at once from an uploaded CSV or Excel file. Triggered from the Data page, Materials import. Atomic.

Authentication​

Standard tenant route. Requires Authorization: Bearer <firebase-id-token> and X-Org-Id: <org-id>. Access: Admin.

Request​

{ "rows": [ { "code": "MAT-001", "name": "...", "materialTypeName": "Raw", "unit": "kg" } ] }

Response — 200 OK​

{ "data": [ { "index": 0, "status": "ok", "id": "uuid" } ] }

Errors​

HTTPcodeCondition
422validation_failedTop-level shape malformed.

Workflow​

Calls W075 Bulk-import materials.